Index: main/java/org/drools/examples/sudoku/swing/SudokuGridView.java
===================================================================
--- main/java/org/drools/examples/sudoku/swing/SudokuGridView.java	(revision 23682)
+++ main/java/org/drools/examples/sudoku/swing/SudokuGridView.java	(working copy)
@@ -25,15 +25,15 @@
 {
    /** The serialVersionUID */
    private static final long serialVersionUID = 1L;
-   private SudokuGridModel model;
+   private SudokuGridModelInterface model;
    private GridLayout gridLayout;
    private JTextField textFields[][];
    
    public SudokuGridView()
    {
-      gridLayout = new GridLayout(SudokuGridModel.NUM_ROWS, SudokuGridModel.NUM_COLS);
+      gridLayout = new GridLayout(SudokuGridModelConstants.getInstance().getNumRows(), SudokuGridModelConstants.getInstance().getNumCols());
       setLayout(gridLayout);
-      textFields = new JTextField[SudokuGridModel.NUM_ROWS][SudokuGridModel.NUM_COLS];
+      textFields = new JTextField[SudokuGridModelConstants.getInstance().getNumRows()][SudokuGridModelConstants.getInstance().getNumCols()];
       for (int row=0; row<textFields.length; row++)
       {
          for (int col=0; col<textFields[row].length; col++)
@@ -46,10 +46,10 @@
             }
             JPanel panel = new JPanel();
             
-            int top = row % SudokuGridModel.INNER_GRID_HEIGHT == 0 ? 2 : 0;
-            int left = col % SudokuGridModel.INNER_GRID_WIDTH == 0 ? 2 : 0;
-            int bottom = row == SudokuGridModel.NUM_ROWS-1 ? 2 : 0;
-            int right = col == SudokuGridModel.NUM_COLS-1 ? 2 : 0;
+            int top = SudokuGridModelConstants.getInstance().getTop(row );
+            int left = SudokuGridModelConstants.getInstance().getLeft(col );
+            int bottom = SudokuGridModelConstants.getInstance().getBottom(row );
+            int right = SudokuGridModelConstants.getInstance().getRight(col);
            
             panel.setBorder(BorderFactory.createMatteBorder( top, left, bottom, right, Color.BLACK ));
             panel.setLayout(new BorderLayout());
@@ -66,13 +66,13 @@
       }
    }
    
-   public SudokuGridView(SudokuGridModel model)
+   public SudokuGridView(SudokuGridModelInterface model)
    {
       this();
       setModel(model);
    }
    
-   public void setModel(SudokuGridModel model)
+   public void setModel(SudokuGridModelInterface model)
    {
       if (this.model != null  && this.model instanceof AbstractSudokuGridModel)
       {
@@ -88,7 +88,7 @@
       }
    }
    
-   public SudokuGridModel getModel()
+   public SudokuGridModelInterface getModel()
    {
       return model;
    }
